<div class="container">
    <app-asset-button></app-asset-button>
    <br>
    <div class="row">
    <span class="col-6" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="addAsset()" data-target="#company-Slider">Add Company
      </button>
    </span>
        <span class="col-3" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="downLoadPdf()" >Download Company
      </button>
    </span>
        <span class="col-3 pull-right" >
      <div class="input-group">
         <input name="term" [(ngModel)]="term"  class="form-control" placeholder="Search Company Name">
      </div>
    </span>
    </div>
    <br>

</div>

<div class="container">
    <div class="row">
        <table class="table table-bordered ">
            <thead>
            <tr>
                <th>Company Name</th>
                <th>Short Name</th>
                <th>company Code</th>
                <th>City</th>
                <th>Area</th>
                <th>Address</th>
                <th>Pin Code</th>
                <th>Pan Code</th>
                <th>GST Code</th>
                <th>Company Email</th>
                <th>Contact Person Name</th>
                <th>Contact Person Email</th>
                <th>Contact Person PhoneNo</th>

                <th>EDIT</th>
                <th>DELETE</th>
            </tr>
            </thead>
            <tbody>

            <tr *ngFor="let companyAsset of companyAssetList| grdFilter: {companyName: term}; ">
                <td>{{companyAsset.companyName}}</td>
                <td>{{companyAsset.shortName}}</td>
                <td>{{companyAsset.companyCode}}</td>
                <td>{{companyAsset.city}}</td>
                <td>{{companyAsset.area}}</td>
                <td>{{companyAsset.address}}</td>
                <td>{{companyAsset.pinCode}}</td>
                <td>{{companyAsset.Pan}}</td>
                <td>{{companyAsset.gst}}</td>
                <td>{{companyAsset.emailId}}</td>
                <td>{{companyAsset.name}}</td>
                <td>{{companyAsset.PersonEmailId}}</td>
                <td>{{companyAsset.PersonPone}}</td>

                <td>
                    <button type="button" class="btn btn-warning" data-toggle="modal"
                            (click)="editIntermediatecompany(companyAsset)" data-target="#company-Slider">Edit
                    </button>
                </td>
                <td>
                    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal"
                            (click)="intermerdiateDeleteTranasaction(companyAsset)">Delete
                    </button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px" *ngIf="pagination.totalPageCount>0">
        <ngb-pagination class="d-flex justify-content-center "
                        [collectionSize]="pagination.totalPageCount"
                        [(page)]="pagination.currentPage" [maxSize]="3"
                        [rotate]="true"
                        [boundaryLinks]="true"
                        (pageChange)="getDataByPageNo($event)"
                        [pageSize]="pagination.recordsPerPage"
                        aria-label="Default pagination">

        </ngb-pagination>
    </div>
</div>
<!--(syncUpdateAssetCartEvent)="syncUpdateAssetCart($event)"-->
<div>
    <div class="modal fade right" id="company-Slider" tabindex="-1" role="dialog" style="overflow: auto">
        <div class="modal-dialog modal-lg  modal-lg   form-modal" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background:#7986CB">
                    <button type="button" class="close closeColor" id="modal-close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title uppercase" *ngIf="!isEdit">ADD company</h4>
                    <h4 class="modal-title uppercase"  *ngIf="isEdit">EDIT company</h4>
                </div>

                <div class="modal-body">
                    <app-company-asset-from (assetAdded)="assetcompanyAdded($event)"  [companyEditId]="companyEditDetails._id" [isEditMode]="isEdit"></app-company-asset-from>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="deleteModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Delete company Conformation</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                Are you sure u want to delete company {{companyDetails.companyName}}
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deletecompanyDetails(companyDetails)">Delete</button>
                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>








